Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ws
Class WSComponentObjectImpl

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.jbo.common.ws.WSObject
oracle.jbo.common.ws.WSAMComponent
oracle.jbo.common.ws.WSComponentObjectImpl`

All Implemented Interfaces:
  ComponentObject, java.util.Map, Properties, java.io.Serializable, VariableManagerOwner

public class WSComponentObjectImpl
extends WSAMComponent
implements ComponentObject, java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.jbo.common.ws.WSAMComponent
`mMsgBundleClass`

Fields inherited from class oracle.jbo.common.ws.WSObject
`mVariableOpers`

Constructor Summary
`WSComponentObjectImpl(java.lang.String name, java.lang.String defName, WSApplicationModuleImpl parent)`
`WSComponentObjectImpl(java.lang.String name, WSApplicationModuleImpl parent)`

Method Summary
`java.lang.String` | `getDefFullName()` Retrieves the fully-qualified name of the component's definition.
`java.lang.String` | `getDefName()` Retrieves the name of the component's definition.
`java.lang.String` | `getFullName()` Retrieves the fully-qualified name of this component.
`java.lang.Object` | `getImplObject()`
`java.lang.String` | `getName()` Retrieves the name of this component.
`WSObject` | `getParent()`
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`java.lang.Object` | `getProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`void` | `markForError(java.lang.Exception ex, boolean hasImplObject)`
`java.lang.Object` | `refreshProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`void` | `remove()` Deletes this component.
`void` | `setImplObject(java.lang.Object o)`

Methods inherited from class oracle.jbo.common.ws.WSAMComponent
`getMessageBundleClass, internalSetMessageBundleClass`

Methods inherited from class oracle.jbo.common.ws.WSObject
`ensureVariableManager, get, getId, getVariableManager, hasVariables`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, hashCode, internalGet, internalPut, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WSComponentObjectImpl

    public WSComponentObjectImpl(java.lang.String name,
                                 WSApplicationModuleImpl parent)

### WSComponentObjectImpl

    public WSComponentObjectImpl(java.lang.String name,
                                 java.lang.String defName,
                                 WSApplicationModuleImpl parent)

Method Detail

### getParent

    public WSObject getParent()

  Specified by:
    `getParent` in class `WSObject`

### getImplObject

    public java.lang.Object getImplObject()

  Specified by:
    `getImplObject` in class `WSObject`

### setImplObject

    public void setImplObject(java.lang.Object o)

  Specified by:
    `setImplObject` in class `WSObject`

### markForError

    public void markForError(java.lang.Exception ex,
                             boolean hasImplObject)

  Specified by:
    `markForError` in class `WSObject`

### getDefName

    public java.lang.String getDefName()

  Description copied from interface: `ComponentObject`
  Retrieves the name of the component's definition.
  Specified by:
    `getDefName` in interface `ComponentObject`
  Returns:
    a class name.

### getDefFullName

    public java.lang.String getDefFullName()

  Description copied from interface: `ComponentObject`
  Retrieves the fully-qualified name of the component's definition.
  Specified by:
    `getDefFullName` in interface `ComponentObject`
  Returns:
    a class name.

### getName

    public java.lang.String getName()

  Description copied from interface: `ComponentObject`
  Retrieves the name of this component.
  Specified by:
    `getName` in interface `ComponentObject`
  Specified by:
    `getName` in class `WSObject`

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `ComponentObject`
  Retrieves the fully-qualified name of this component.
  Specified by:
    `getFullName` in interface `ComponentObject`
  Overrides:
    `getFullName` in class `WSObject`

### remove

    public void remove()

  Description copied from interface: `ComponentObject`
  Deletes this component.
  Specified by:
    `remove` in interface `ComponentObject`

### getProperty

    public java.lang.Object getProperty(java.lang.String hintName)

  Description copied from interface: `Properties`
  Retrieves the specified property, if it exists.
  Specified by:
    `getProperty` in interface `Properties`
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### refreshProperty

    public java.lang.Object refreshProperty(java.lang.String hintName)

  Description copied from interface: `Properties`
  Retrieves the specified property, if it exists. If the application running in a 3 tier environment, it retrieves the property from the middle-tier server, refreshing the value on the client side. If the application is running in a 2 tier environment, it is equivalent to `getProperty`.
  Specified by:
    `refreshProperty` in interface `Properties`
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### getProperties

    public java.util.Hashtable getProperties()

  Description copied from interface: `Properties`
  Gets the table of properties.
  Specified by:
    `getProperties` in interface `Properties`
  Returns:
    a hashtable of properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.